
Redmine - Feature #12816

Filter issues by progress state

2013-01-11 16:35 - Daniel Felix

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

Hi there,

it would be really great (in addition to #12122), to filter the issue list by progress state.

Such a filter could be something like this:

Ticket A starts on 1.1.2013 and has the 4.1.2013 as due date. This means we would have 4 days for this ticket. If the current date is

the 3.1.2013, we should have already 75% solved of this ticket. If the current done ratio is below this calculated value, this ticket is

behind the progress state. If it is above this value, we are in front of the progress line.

This calculation should respect the configurable non-working days.

In this example we have the 1.1.2013 as star and the 7.1.2013 as due date. Our non-working days are saturday and sunday. this

means we have 7-2 working days (5).

This would be helpful for the project manager to see which tasks are behind the estimated progress state. What do you think about

it?

Best regards,

Daniel

Related issues:

Related to Redmine - Feature #12122: Gantt progress lines (html only) Closed

History

#1 - 2013-01-11 21:07 - Jan Niggemann (redmine.org team member)

I really like that idea!

#2 - 2013-03-18 10:54 - Daniel Felix

- Target version set to 2.4.0

Maybe this one could be a new filter for 2.4 as the progress line is already visible in 2.3, which is a great improvement!

#3 - 2013-10-13 10:02 - Jean-Philippe Lang

- Target version changed from 2.4.0 to Candidate for next major release

2.4 feature freeze

#4 - 2021-06-12 10:09 - Go MAEDA

- Category changed from Issues to Issues filter
